<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Wed Nov 28 22:42:26 CET 2012 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.nio.entity (HttpComponents Core 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2012-11-28">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">


</HEAD>

<BODY BGCOLOR="white">
<FONT size="+1" CLASS="FrameTitleFont">
<A HREF="../../../../../org/apache/http/nio/entity/package-summary.html" target="classFrame">org.apache.http.nio.entity</A></FONT>
<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Interfaces</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="ConsumingNHttpEntity.html" title="interface in org.apache.http.nio.entity" target="classFrame"><I>ConsumingNHttpEntity</I></A>
<BR>
<A HREF="ContentListener.html" title="interface in org.apache.http.nio.entity" target="classFrame"><I>ContentListener</I></A>
<BR>
<A HREF="HttpAsyncContentProducer.html" title="interface in org.apache.http.nio.entity" target="classFrame"><I>HttpAsyncContentProducer</I></A>
<BR>
<A HREF="ProducingNHttpEntity.html" title="interface in org.apache.http.nio.entity" target="classFrame"><I>ProducingNHttpEntity</I></A></FONT></TD>
</TR>
</TABLE>


<TABLE BORDER="0" WIDTH="100%" SUMMARY="">
<TR>
<TD NOWRAP><FONT size="+1" CLASS="FrameHeadingFont">
Classes</FONT>&nbsp;
<FONT CLASS="FrameItemFont">
<BR>
<A HREF="BufferingNHttpEntity.html" title="class in org.apache.http.nio.entity" target="classFrame">BufferingNHttpEntity</A>
<BR>
<A HREF="ConsumingNHttpEntityTemplate.html" title="class in org.apache.http.nio.entity" target="classFrame">ConsumingNHttpEntityTemplate</A>
<BR>
<A HREF="ContentBufferEntity.html" title="class in org.apache.http.nio.entity" target="classFrame">ContentBufferEntity</A>
<BR>
<A HREF="ContentInputStream.html" title="class in org.apache.http.nio.entity" target="classFrame">ContentInputStream</A>
<BR>
<A HREF="ContentOutputStream.html" title="class in org.apache.http.nio.entity" target="classFrame">ContentOutputStream</A>
<BR>
<A HREF="EntityAsyncContentProducer.html" title="class in org.apache.http.nio.entity" target="classFrame">EntityAsyncContentProducer</A>
<BR>
<A HREF="NByteArrayEntity.html" title="class in org.apache.http.nio.entity" target="classFrame">NByteArrayEntity</A>
<BR>
<A HREF="NFileEntity.html" title="class in org.apache.http.nio.entity" target="classFrame">NFileEntity</A>
<BR>
<A HREF="NHttpEntityWrapper.html" title="class in org.apache.http.nio.entity" target="classFrame">NHttpEntityWrapper</A>
<BR>
<A HREF="NStringEntity.html" title="class in org.apache.http.nio.entity" target="classFrame">NStringEntity</A>
<BR>
<A HREF="SkipContentListener.html" title="class in org.apache.http.nio.entity" target="classFrame">SkipContentListener</A></FONT></TD>
</TR>
</TABLE>


</BODY>
</HTML>
